## org.hibernate.type.descriptor.java
Class BlobTypeDescriptor.BlobMutabilityPlan

    java.lang.Object
      org.hibernate.type.descriptor.java.BlobTypeDescriptor.BlobMutabilityPlan

All Implemented Interfaces:
  Serializable, MutabilityPlan<Blob>

Enclosing class:
  BlobTypeDescriptor

    public static class BlobTypeDescriptor.BlobMutabilityPlan

extends Object
implements MutabilityPlan<Blob>

See Also:
  Serialized Form

Field Summary
`static BlobTypeDescriptor.BlobMutabilityPlan` `INSTANCE`

Constructor Summary
`BlobTypeDescriptor.BlobMutabilityPlan()`

Method Summary
`Blob` `assemble(Serializable cached)` Assemble a previously disassembled value.
`Blob` `deepCopy(Blob value)` Return a deep copy of the value.
`Serializable` `disassemble(Blob value)` Return a "disassembled" representation of the value.
`boolean` `isMutable()` Can the internal state of instances of `T` be changed?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final BlobTypeDescriptor.BlobMutabilityPlan INSTANCE

Constructor Detail

### BlobTypeDescriptor.BlobMutabilityPlan

    public BlobTypeDescriptor.BlobMutabilityPlan()

Method Detail

### isMutable

    public boolean isMutable()

  Description copied from interface: `MutabilityPlan`
  Can the internal state of instances of `T` be changed?

  Specified by:
    `isMutable` in interface `MutabilityPlan<Blob>`
  Returns:
    True if the internal state can be changed; false otherwise.

### deepCopy

    public Blob deepCopy(Blob value)

  Description copied from interface: `MutabilityPlan`
  Return a deep copy of the value.

  Specified by:
    `deepCopy` in interface `MutabilityPlan<Blob>`
  Parameters:
    `value` - The value to deep copy
  Returns:
    The deep copy.

### disassemble

    public Serializable disassemble(Blob value)

  Description copied from interface: `MutabilityPlan`
  Return a "disassembled" representation of the value. This is used to push values onto the second level cache. Compliment to `MutabilityPlan.assemble(java.io.Serializable)`

  Specified by:
    `disassemble` in interface `MutabilityPlan<Blob>`
  Parameters:
    `value` - The value to disassemble
  Returns:
    The disassembled value.
  See Also:
    `MutabilityPlan.assemble(java.io.Serializable)`

### assemble

    public Blob assemble(Serializable cached)

  Description copied from interface: `MutabilityPlan`
  Assemble a previously disassembled value. This is used when pulling values from the second level cache. Compliment to `MutabilityPlan.disassemble(T)`

  Specified by:
    `assemble` in interface `MutabilityPlan<Blob>`
  Parameters:
    `cached` - The disassembled state
  Returns:
    The re-assembled value.
  See Also:
    `MutabilityPlan.disassemble(T)`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.